> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote Submissions

> Get all quote submissions. Staff/Administrator only.



## OpenAPI

````yaml /api/openapi-cutmake.json get /quote-submissions
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /quote-submissions:
    get:
      tags:
        - Master Data
      summary: Get Quote Submissions
      description: Get all quote submissions. Staff/Administrator only.
      operationId: get_quote_submissions_quote_submissions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/QuoteSubmissionResponse'
                type: array
                title: Response Get Quote Submissions Quote Submissions Get
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    QuoteSubmissionResponse:
      properties:
        id:
          type: string
          title: Id
        clientName:
          type: string
          title: Clientname
        personInCharge:
          type: string
          title: Personincharge
        createdAt:
          type: string
          title: Createdat
        replyByTime:
          type: string
          title: Replybytime
        status:
          type: string
          enum:
            - rejected
            - pending
            - accepted
          title: Status
      type: object
      required:
        - id
        - clientName
        - personInCharge
        - createdAt
        - replyByTime
        - status
      title: QuoteSubmissionResponse
      description: Schema for quote submission response - uses camelCase per API_STANDARDS
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````